package com.lantone.qc.pub.model.label;

import com.lantone.qc.pub.model.entity.Clinical;
import com.lantone.qc.pub.model.entity.Diag;
import com.lantone.qc.pub.model.entity.Sign;
import com.lantone.qc.pub.model.entity.TreatmentPlan;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName : ThreeLevelWardLabel
 * @Description :
 * @Author : 胡敬
 * @Date: 2020-03-23 10:21
 */
@Getter
@Setter
public class ThreeLevelWardLabel {
    int serious = 0;    //不严重患者:0,危重患者:1,疑难患者:2,抢救患者:3
    String title;   //医师职称
    List<Clinical> clinicals = new ArrayList<>();   //病史(临床表现)
    List<Sign> signs = new ArrayList<>();   //查体
    List<Diag> diffDiag = new ArrayList<>();   //鉴别诊断
    String diagBasisText;   //诊断依据文本
    String diffDiagText;    //鉴别诊断文本
    List<Diag> diags = new ArrayList<>();   //补充诊断/初步诊断/修正诊断
    List<TreatmentPlan> treatmentPlans = new ArrayList<>();   //诊疗计划
}