package com.lantone.qc.trans.changx;

import com.lantone.qc.pub.model.doc.LeaveHospitalDoc;
import com.lantone.qc.pub.model.keys.ModelStandardKeys;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.ModelDocGenerate;
import com.lantone.qc.trans.comsis.Preproc;

import java.util.List;
import java.util.Map;

/**
 * @Description: 出院小结文档生成
 * @author: rengb
 * @time: 2020/3/17 13:25
 */
public class ChangxLeaveHospitalDocTrans extends ModelDocTrans {

    @Override
    public LeaveHospitalDoc extract(MedrecVo medrecVo) {
        String content = ((List<String>) medrecVo.getContent().get("content")).get(0);
        Map<String, String> structureMap =
                Preproc.extract_doc_pub(
                        false,
                        ListUtil.isEmpty(medrecVo.getLabel()) ? ModelStandardKeys.leaveHospital : medrecVo.getLabel(),
                        content
                );

        LeaveHospitalDoc leaveHospitalDoc = ModelDocGenerate.leaveHospitalDocGen(structureMap);
        leaveHospitalDoc.setText(content);
        leaveHospitalDoc.setPageData((Map) structureMap);

        return leaveHospitalDoc;
    }

}