package com.lantone.qc.trans.changx;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.RescueDoc;
import com.lantone.qc.pub.model.keys.ModelStandardKeys;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.ModelDocGenerate;
import com.lantone.qc.trans.comsis.Preproc;

import java.util.List;
import java.util.Map;

/**
 * @Description: 抢救记录文档生成
 * @author: rengb
 * @time: 2020/3/17 17:34
 */
public class ChangxRescueDocTrans extends ModelDocTrans {

    @Override
    public List<RescueDoc> extract(MedrecVo medrecVo) {
        List<RescueDoc> retList = Lists.newArrayList();
        List<String> contents = (List) medrecVo.getContent().get("content");
        contents.forEach(content -> {
            Map<String, String> structureMap =
                    Preproc.extract_doc_pub(
                            false,
                            ListUtil.isEmpty(medrecVo.getLabel()) ? ModelStandardKeys.rescue : medrecVo.getLabel(),
                            content
                    );

            RescueDoc rescueDoc = ModelDocGenerate.rescueDocGen(structureMap);
            rescueDoc.setText(content);
            retList.add(rescueDoc);
        });
        return retList;
    }

}